import { Router, ActivatedRoute } from "@angular/router";
import { ConfiguracionService } from "../shared/service/configuracion.service";
import { ToolbarService } from "../../shared/service/toolbar.service";
import { MessageService } from "../../shared/service/message.service";
import { GeneralUtils } from "../../shared/service/general-utils.service";
import { TableViewService } from "../../shared/service/tableview.service";
import { BaseListComponent } from "../../base/component/base-list.component";
export declare class ConfigListComponent extends BaseListComponent {
    protected configService: ConfiguracionService;
    protected messageService: MessageService;
    protected toolbarService: ToolbarService;
    protected activatedRoute: ActivatedRoute;
    protected router: Router;
    protected generalUtils: GeneralUtils;
    protected tableViewService: TableViewService;
    items: any;
    constructor(configService: ConfiguracionService, messageService: MessageService, toolbarService: ToolbarService, activatedRoute: ActivatedRoute, router: Router, generalUtils: GeneralUtils, tableViewService: TableViewService);
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas */
    ngOnInit(): any;
    prepareDataForSubmit(): void;
}
