"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var message_service_1 = require("../../shared/service/message.service");
var bitmessage_1 = require("../../shared/data/bitmessage");
var ExceptionListTableViewComponent = /** @class */ (function () {
    function ExceptionListTableViewComponent(messageService) {
        this.messageService = messageService;
        this.cols = [
            { field: "login", header: "Login" },
            { field: "concepto", header: "Concepto" },
            { field: "method", header: "Operación" },
            { field: "fecha", header: "Hora" },
            { field: "", header: "" }
        ];
    }
    /** Muestra los datos de log en un diálogo*/
    ExceptionListTableViewComponent.prototype.showDatosLog = function (event, log, titulo) {
        var width = bitmessage_1.BitMessage.WIDTH;
        if (titulo === "Error") {
            width = 800;
        }
        this.messageService.sendMessage(new bitmessage_1.BitMessage(titulo, log, width));
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], ExceptionListTableViewComponent.prototype, "items", void 0);
    ExceptionListTableViewComponent = __decorate([
        core_1.Component({
            selector: "exception-list-tableview",
            template: "\n    <!--<p-dataTable [value]=\"items\" *ngIf=\"(items != null && items.length > 0)\">\n  <p-column field=\"login\" header=\"Login\" [sortable]=\"true\"></p-column>\n  <p-column field=\"concepto\" header=\"Concepto\" [sortable]=\"true\"></p-column>\n  <p-column field=\"method\" header=\"Operaci\u00F3n\" [sortable]=\"true\"></p-column>\n  <p-column field=\"fecha\" header=\"Hora\" [sortable]=\"true\">\n      <ng-template let-log=\"rowData\" pTemplate type=\"body\">\n          <span>{{log.fecha | date:\"HH:mm\"}}</span>\n      </ng-template>\n  </p-column> \n  <p-column styleClass=\"col-button\">\n      <ng-template let-log=\"rowData\" pTemplate type=\"body\">            \n          <div class=\"btn-group\" role=\"group\">\n              <button *ngIf=\"log.error\" class=\"btn btn-danger btn-xs\" (click)=\"showDatosLog($event,log.error,'Error');\"> Error&nbsp;&nbsp;<span class=\"glyphicon glyphicon-alert\"></span>\n              </button>\n          </div>\n      </ng-template>\n  </p-column>\n</p-dataTable>-->\n    <p-table [columns]=\"cols\" [value]=\"items\" *ngIf=\"items != null && items.length > 0\">\n      <ng-template pTemplate=\"header\">\n        <tr>\n          <th pSortableColumn=\"login\">Login<p-sortIcon field=\"login\"></p-sortIcon></th>\n          <th pSortableColumn=\"concepto\">Concepto<p-sortIcon field=\"concepto\"></p-sortIcon></th>\n          <th pSortableColumn=\"method\">Operaci\u00F3n<p-sortIcon field=\"method\"></p-sortIcon></th>\n          <th pSortableColumn=\"fecha\">Hora<p-sortIcon field=\"fecha\"></p-sortIcon></th>\n          <th></th>\n        </tr>\n      </ng-template>\n      <ng-template pTemplate=\"body\" let-log>\n        <tr (click)=\"gotoForm(log)\">\n          <td>{{ log.login }}</td>\n          <td>{{ log.concepto }}</td>\n          <td>{{ log.method }}</td>\n          <td>\n            <span>{{ log.fecha | date: \"HH:mm\" }}</span>\n          </td>\n          <td class=\"col-button\">\n            <div class=\"btn-group\" role=\"group\">\n              <button\n                *ngIf=\"log.error\"\n                class=\"btn btn-danger btn-xs\"\n                (click)=\"showDatosLog($event, log.error, 'Error')\"\n              >\n                Error&nbsp;&nbsp;<span class=\"glyphicon glyphicon-alert\"></span>\n              </button>\n            </div>\n          </td>\n        </tr>\n      </ng-template>\n    </p-table>\n    <!-- cols = [\n{ field: \"login\", header: \"Login\" },\n{ field: \"concepto\", header: \"Concepto\" },\n{ field: \"method\", header: \"Operaci\u00F3n\" },\n{ field: \"fecha\", header: \"Hora\" },\n{ field: \"\", header: \"\" },\n]; -->\n  "
        }),
        __metadata("design:paramtypes", [message_service_1.MessageService])
    ], ExceptionListTableViewComponent);
    return ExceptionListTableViewComponent;
}());
exports.ExceptionListTableViewComponent = ExceptionListTableViewComponent;
//# sourceMappingURL=exception-list-tableview.component.js.map